GDB (xrefs)

Public Attributes | List of all members
exception_catchpoint Struct Reference
Inheritance diagram for exception_catchpoint:

## Public Attributes
enum exception_event_kind | kind
std::string | exception_rx
std::unique_ptr< compiled_regex > | pattern
Public Attributes inherited from breakpoint
const breakpoint_ops * | ops = NULL
breakpoint * | next = NULL
bptype | type = bp_none
enum enable_state | enable_state = bp_enabled
bpdisp | disposition = disp_del
int | number = 0
bp_location * | loc = NULL
bool | silent = false
bool | display_canonical = false
int | ignore_count = 0
int | enable_count = 0
counted_command_line | commands
struct frame_id | frame_id = null_frame_id
program_space * | pspace = NULL
event_location_up | location
char * | filter = NULL
event_location_up | location_range_end
struct gdbarch * | gdbarch = NULL
enum language | language = language_unknown
int | input_radix = 0
char * | cond_string = NULL
char * | extra_string = NULL
breakpoint * | related_breakpoint = NULL
int | thread = -1
int | task = 0
int | hit_count = 0
int | condition_not_parsed = 0
gdbpy_breakpoint_object * | py_bp_object = NULL
gdbscm_breakpoint_object * | scm_bp_object = NULL

## Additional Inherited Members
Public Member Functions inherited from breakpoint
virtual | ~breakpoint ()

## Detailed Description

Definition at line 77 of file break-catch-throw.c.

## Member Data Documentation

## ◆ exception_rx

std::string exception_catchpoint::exception_rx

Definition at line 86 of file break-catch-throw.c.

Referenced by print_one_detail_exception_catchpoint().

## ◆ kind

enum exception_event_kind exception_catchpoint::kind

Definition at line 81 of file break-catch-throw.c.

Referenced by classify_exception_breakpoint().

## ◆ pattern

std::unique_ptr<compiled_regex> exception_catchpoint::pattern

Definition at line 91 of file break-catch-throw.c.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/break-catch-throw.c